import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetInventoryStock = createAsyncThunk(
  "SLAUGHTER_GET_INVENTORY_STOCK",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_ware_house/", {
      params: {
        kill_house_key: d.kill_house_key,
        date: d.date,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
